List User Streams
Returns custom and managed real-time streams provisioned by the user
GET/streams
请求参数
该接口所需的请求头与参数规范。
请求头
| 请求头 | 类型 | 必填 | 说明 |
|---|---|---|---|
| X-PolyEdge-Key | string | 必填 | PolyEdge API Key for client authentication and rate-limiting |
响应 (200 OK)
成功响应载荷的字段定义。
200 响应示例
json
{
"data": [
{
"active_sessions": 0,
"addresses": [],
"created_at": "2026-09-29T09:01:46.05491822Z",
"enabled": true,
"id": "9bae9005-9ef1-4f17-8658-36ea54536836",
"name": "Temporary Sample Stream",
"series": [
"btc-up-or-down-5m"
],
"tags": [],
"updated_at": "2026-09-29T09:01:46.05491822Z"
}
],
"total_count": 1
}响应体字段
| 字段 | 类型 | 说明 |
|---|---|---|
data | array of objects | - |
├─active_sessions | integer | - |
├─addresses | string[] | - |
├─created_at | string | - |
├─enabled | boolean | - |
├─id | string | - |
├─name | string | - |
├─series | string[] | - |
├─tags | string[] | - |
├─updated_at | string | - |
total_count | integer | - |
cURL 示例
在终端中直接复制并运行此命令测试该接口。
cURL: GET /streams
bash
curl -X GET "https://stream.polyedge.dev/streams" \
-H "X-PolyEdge-Key: Your-PolyEdge-ApiKey"